Skip to main content
GET
/
api
/
v3
/
dns
/
records
Get DNS records
curl --request GET \
  --url https://toncenter.com/api/v3/dns/records
{
  "address_book": {},
  "records": [
    {
      "dns_next_resolver": "<string>",
      "dns_site_adnl": "<string>",
      "dns_storage_bag_id": "<string>",
      "dns_wallet": "<string>",
      "domain": "<string>",
      "nft_item_address": "<string>",
      "nft_item_owner": "<string>"
    }
  ]
}

Query Parameters

wallet
string

Wallet address in any form. DNS records that contain this address in wallet category will be returned.

domain
string

Domain name to search for. DNS records with this exact domain name will be returned.

limit
integer<int32>
default:100

Limit number of queried rows. Use with offset to batch read.

Required range: 1 <= x <= 1000
offset
integer<int32>
default:0

Skip first N rows. Use with limit to batch read.

Required range: x >= 0

Response

Matching DNS records with address book.

Response wrapper containing DNS records and an address book for all referenced addresses.

address_book
object

Address book mapping raw addresses to user-friendly forms for all addresses referenced in the response.

records
object[]

Array of DNS records matching the query filters.